Subject: Re: [PATCH] start_command: reset disposition of all signals in child

From: Junio C Hamano <[email-masked]>
Date: Fri, 08 Sep 2023 08:42:06 -0700

"Phillip Wood via GitGitGadget" <[email-masked]> writes:

> [3] This is really a work-around for not moving the child into its own
>     process group and changing the foreground process group of the
>     controlling terminal.

I am puzzled, as I somehow thought that "does the user conceive a
subprocess as external and different-from-git entity, or is it
merely an implementation detail?  many use of subprocesses in our
codebase, it is the latter." from Peff was a good argument against
such isolation between spawning "git" and spawned subprocesses.